/*
 Theme Name:   Transit
 Description:  Chaplin Child Theme
 Template:     chaplin
 Version:      1.0
 Text Domain:  chaplin-child
 
 */
 :root {
    --rot: #ea4e1b;
    --blau: #2d2d83;
    --beige: #f7dbc3;
    --gelb: #f9ab2d;
    --rosa: #ee7b74;
}

html {scroll-behavior: smooth;}

h1.entry-title {
    text-transform: uppercase;

}
.home h1.entry-title  {text-transform: none;}
h1.entry-title::before {
    content:'→';
    font-size: 6rem;
}

h3 {
    font-family: Merriweather Sans,
    -apple-system,
    BlinkMacSystemFont,
    'Helvetica Neue',
    Helvetica,sans-serif;
}

.home.overlay-header.header-is-sticky .site-title {color: var(--rot);}
.header-inner.is-sticky {
    box-shadow: none; /* 0 0 1rem rgb(45 45 131 / 10%) */ 
}

.main-menu-alt > li {
    margin: 1.5rem 0 0 3rem;
    font-weight: 700;
    box-shadow: -5px 5px 0px 0px var(--beige);
    -webkit-box-shadow: -5px 5px 0px 0px var(--beige);
    -moz-box-shadow: -5px 54px 0px 0px var(--beige);
}


.main-menu-alt > li:hover, .main-menu-alt > li.current_page_item{
    background: var(--blau);
    box-shadow: -5px 5px 0px 0px var(--rot);
    -webkit-box-shadow: -5px 5px 0px 0px var(--rot);
    -moz-box-shadow: -5px 54px 0px 0px var(--rot);
}

.main-menu-alt li a, .main-menu-alt li a:hover, .main-menu-alt > li.current_page_item a {
    background: var(--blau);
    text-decoration: none;
    padding: .7rem 1.2rem;
    color: var(--beige)
}

header .section-inner {max-width: 100%;}
.cover-header .entry-header {
    justify-content: center;
    display: flex;
    flex-flow: column;
    align-items: center;
}

@media (min-width: 700px) {
.cover-header h1 {
    font-size: 8rem;
    }
}

.home .cover-header .entry-header {height: 80vh;} 
.home .cover-header h1 {
    text-indent: 100%;
    white-space: nowrap;
    overflow: hidden;
    background: transparent url("/wp-content/themes/chaplin-child/assets/img/transit.svg") no-repeat scroll center center;
    background-size: 50vw;
    width: 100vw;
    height: 80vh;
}

@media (max-width: 800px) {
.home .cover-header h1 {
    background-size: 90vw;
    height: 80vh;
    }
}

.to-the-content .text {display: none;}
ul.parcours-jump-nav { 
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

ul.parcours-jump-nav { margin:0;}
ul.parcours-jump-nav li{   
    list-style: none;
    min-height: 5rem;
    margin: 2rem 2rem;
}

ul.parcours-jump-nav li a {
    padding: 2rem; 
    background: var(--beige);
    color: var(--blau);
    font-weight:700;
    text-decoration: none;
    border-radius: 15px 0px 15px 0px;
    min-height: 5rem;
    border: 3px solid var(--blau);
    box-shadow: -17px 14px 0px 0px var(--blau);
    -webkit-box-shadow: -17px 14px 0px 0px var(--blau);
    -moz-box-shadow: -17px 14px 0px 0px var(--blau);
}
ul.parcours-jump-nav li a:hover{
    background: var(--beige);
    border: 8px solid var(--rot);
    border-radius: 0px 15px 0px 15px;
    box-shadow: -17px 14px 0px 0px var(--rot);
    -webkit-box-shadow: -17px 14px 0px 0px var(--rot);
    -moz-box-shadow: -17px 14px 0px 0px var(--rot);
}


.wp-block-button__link, 
.wp-block-button__link:active, 
.wp-block-button__link:focus, 
.wp-block-button__link:visited {
    background: var(--beige);
    color: var(--rot);
    border: 3px solid var(--rot);
    box-shadow: -10px 10px 0px 0px var(--rot);
    -webkit-box-shadow: -10px 10px 0px 0px var(--rot);
    -moz-box-shadow: -10px 10px 0px 0px var(--rot);
    transition: all ease .4s;
}

.wp-block-button__link:hover {
    background: var(--beige);
    color: var(--blau);
    border: 3px solid var(--blau);
    box-shadow: -10px 10px 0px 0px var(--blau);
    -webkit-box-shadow: -10px 10px 0px 0px var(--blau);
    -moz-box-shadow: -10px 10px 0px 0px var(--blau);
    text-decoration: none;
}

@media (max-width: 600px) {
    .blocks-gallery-grid .blocks-gallery-image, 
    .blocks-gallery-grid .blocks-gallery-item, 
    .wp-block-gallery .blocks-gallery-image, 
    .wp-block-gallery .blocks-gallery-item {
        width: 100%;
        margin: 1rem auto;
    }
}

.box-shadow-rot{
    box-shadow: -10px 10px 0px 0px var(--rot);
    -webkit-box-shadow: -10px 10px 0px 0px var(--rot);
    -moz-box-shadow: -10px 10px 0px 0px var(--rot);
}

.box-shadow-blau {
    box-shadow: -10px 10px 0px 0px var(--blau);
    -webkit-box-shadow: -10px 10px 0px 0px var(--blau);
    -moz-box-shadow: -10px 10px 0px 0px var(--blau);
}

.border-blau {border: 3px solid var(--blau); padding: 0.7rem 1.2rem;}
.border-blau-top {border-top: 3px solid var(--blau); padding-top: 4rem;}
.border-blau-bottom, .c-accordion__title {border-bottom: 3px solid var(--blau); padding-bottom: 4rem;}
.border-rot-top { border-top: 3px solid var(--rot); padding-top: 4rem;}
.border-rot-bottom {border-bottom: 3px solid var(--rot); padding-bottom: 4rem;}
.c-accordion__title:after {color: var(--rot);}
.justify-center {justify-content: center;}

@media (max-width: 599px) {
    .wp-block-columns.reverse-order {flex-wrap: wrap-reverse;}
    .to-top {display: none;}
}

.to-top{
    background:var(--beige);
    color: var(--rot);
    position: fixed;
    width: 50px; 
    height: 50px;
    border-radius: 50%;
    bottom:20px;
    right:20px;
    padding:1em;
    z-index: 100;
    font-size: 3rem; 
    line-height: 1.4em;
    padding: .5rem;
    text-align: center;
}

.to-top a:hover, .to-top a:active, 
.to-top a:visited, .to-top {text-decoration: none;}
.hide-this {display: none;}